⭐ If you find Zipline useful, please consider giving it a star on Github! ⭐

/api/users

List users in the instance, optionally excluding the current admin from the results (admin only).

GET/api/users

Query Parameters

noincl?string

Value in

  • "true"
  • "false"

Response Body

application/json

application/json

curl -X GET "https://example.com/api/users"
[  {    "id": "string",    "username": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "role": "USER",    "view": {      "enabled": true,      "disableTextFiles": true,      "align": "left",      "showMimetype": true,      "showTags": true,      "showFolder": true,      "content": "string",      "embed": true,      "embedMediaOnly": true,      "embedTitle": "string",      "embedDescription": "string",      "embedColor": "string",      "embedSiteName": "string"    },    "quota": {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "filesQuota": "BY_BYTES",      "maxBytes": "string",      "maxFiles": 0,      "maxUrls": 0,      "userId": "string"    },    "avatar": "string"  }]